module TheFuturest
  class Text
    include HTTParty
    default_timeout 10
    base_uri 'http://www.thefuturest.info/api'
    
    def self.search(query = {})
      Paragraph.parse get('/search', :query => query)
    end
    
    def self.chapters(query = {})
      Chapter.parse get("/chapters", :query => query)
    end
    
    def self.paragraphs(query = {})
      search query.merge({:regexp => "."})
    end
  end
end
